\documentclass[
	a3paper,				% paper format
	11pt,					% fontsize
	notitlepage,			% use no standard title page
	parskip=half,			% set paragraph skip to half of a line
	numbers=noenddot,
	cleardoublepage=plain
]{scrreprt}					% KOMA-script report

\usepackage[
    a3paper,
    left = 25mm,
    right = 25mm,
    top = 25mm,
	bottom = 25mm,
    noheadfoot,
    footskip = 10mm,
    landscape
]{geometry}

\newcommand{\documentauthor}{Stefan\ Lüthi}
\newcommand{\documenttitle}{Bern\ RTOS}
\newcommand{\yes}{\featurepresent}
\newcommand{\no}{\featuremissing}
\newcommand{\incomplete}{\featureincomplete}
\newcommand{\na}{\featurena}
\newcommand{\note}[1]{\textsuperscript{#1}}

\input{../extra/config.tex}
\input{../lib/feature_circles.tex}

\begin{document}


\begin{table}
    \centering
    \renewcommand{\arraystretch}{1.5}
    \setlength{\tabcolsep}{0.6em}
    
    \begin{tabular}{>{\bfseries}l *{2}{l} *{21}{l}}
        \toprule
        \csvreader[
                no head,
                late after line=\\ \ifnumequal{\thecsvinputline}{7}{\midrule}{} \ifnumequal{\thecsvinputline}{13}{\midrule}{}, 
                late  after first line=\\\midrule, 
                late after last line=\\\bottomrule, 
                /csv/separator=semicolon]
            {../tables/rtos-comparison.csv}{}
            {
            \csviffirstrow{\csvcoli &\csvcolii &\csvcoliii &\rot{\csvcoliv} &\rot{\csvcolv} &\rot{\csvcolvi} &\rot{\csvcolvii} &\rot{\csvcolviii} &\rot{\csvcolix} &\rot{\csvcolx} &\rot{\csvcolxi} &\rot{\csvcolxii} &\rot{\csvcolxiii} &\rot{\csvcolxiv} &\rot{\csvcolxv} &\rot{\csvcolxvi} &\rot{\csvcolxvii} &\rot{\csvcolxviii} &\rot{\csvcolxix} &\rot{\csvcolxx} &\rot{\csvcolxxi} &\rot{\csvcolxxii} &\rot{\csvcolxxiv}}
                 {\csvcoli &\csvcolii &\csvcoliii &\csvcoliv &\csvcolv &\csvcolvi &\csvcolvii &\csvcolviii &\csvcolix &\csvcolx &\csvcolxi &\csvcolxii &\csvcolxiii &\csvcolxiv &\csvcolxv &\csvcolxvi &\csvcolxvii &\csvcolxviii &\csvcolxix &\csvcolxx &\csvcolxxi &\csvcolxxii &\csvcolxxiv}
            % insert second header row
            \ifnumequal{\thecsvinputline}{1}{\\\cmidrule(lr){4-7}\cmidrule(lr){8-9}\cmidrule(lr){13-14}\cmidrule(lr){16-19}\cmidrule(lr){20-23} & & &\multicolumn{4}{c}{Scheduler type} &\multicolumn{2}{c}{Target} & &\multicolumn{2}{c}{HAL} & &\multicolumn{4}{c}{Network Stacks} &\multicolumn{4}{c}{Connectivity} & &}{}
            }
    \end{tabular}

    \caption*{Comparison of commonly used RTOS, \yes: true, \no: false, \incomplete: announced but not yet implemented, \na: no information given, \note{1}: sold separately, \note{2}: SIL-4}
\end{table}
\end{document}